package it.tref.liferay.mapit.map.hook.deploy.listener;

import it.tref.liferay.mapit.map.hook.deploy.DeployUtil;

import com.liferay.portal.kernel.deploy.hot.HotDeployEvent;
import com.liferay.portal.kernel.deploy.hot.HotDeployException;
import com.liferay.portal.kernel.deploy.hot.HotDeployListener;

public class DeployListener implements HotDeployListener {

  @Override
  public void invokeDeploy(HotDeployEvent event) throws HotDeployException {
    DeployUtil.checkMapItPluginOnDeploy(event.getPluginPackage(), event.getContextClassLoader());
  }

  @Override
  public void invokeUndeploy(HotDeployEvent event) throws HotDeployException {
    DeployUtil.checkMapItPluginOnUndeploy(event.getServletContextName(), event.getContextClassLoader());
  }

}
